<template>
    <div class="cardLoader">
        <div class="row">
            <div v-if="type === 'products'" class="col-md-3" v-for="loop in loopCount">
              <div class="item-loading">
                <div class="l-first"></div>
                <div class="l-second">
                  <div class="l-top-text"></div>
                  <div class="l-bottom-text"></div>
                </div>
              </div>
            </div>

            <div v-if="type === 'orders'" class="col-md-12" v-for="loop in loopCount">
              <div class="item-loading">
                <div class="l-first"></div>
                <div class="l-second">
                  <div class="l-top-text"></div>
                  <div class="l-bottom-text"></div>
                </div>
              </div>
            </div>
        </div>
    </div>
</template>
<script>


export default {
  name: 'cardLoader',
  props: {
    'loopCount': Number,
    'type': String
  }
}

</script>

<style lang="scss">
  .cardLoader {
    width: 100%;
  }
  .item-loading {
    height: 450px;
    width: 100%;
    padding: 0 20px;
    .l-first {
      height: 60%;
      width: 100%;
      background-color: lightgray;
      margin-bottom: 20px;
    }

    .l-second {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      min-height: 80px;
      padding: 15px;

      .l-top-text {
        width: 80%;
        height: 10px;
        background-color: lightgray;
      }

      .l-bottom-text {
        width: 100%;
        height: 10px;
        background-color: lightgray;
      }
    }
  }
</style>
